#if !defined(INCLUDED_PETSCCONF_H)
#define INCLUDED_PETSCCONF_H

#ifndef STDC_HEADERS
#define STDC_HEADERS 1
#endif

#ifndef PETSC_HAVE_X11
#define PETSC_HAVE_X11 1
#endif

#ifndef PETSC_CONFIGURE_OPTIONS
#define PETSC_CONFIGURE_OPTIONS "--with-batch=1 --with-memcmp-ok --sizeof_void_p=8 --sizeof_short=2 --sizeof_int=4 --sizeof_long=8 --sizeof_long_long=8 --sizeof_float=4 --sizeof_double=8 --bits_per_byte=8 --sizeof_MPI_Comm=8 --sizeof_MPI_Fint=4 --with-f90-header=f90_rs6000.h --with-f90-source=f90_rs6000.c --with-cc=\"mpcc -q64\" --with-fc=\"mpxlf -q64\" --with-ar=\"/usr/bin/ar -X64\" -PETSC_ARCH=aix5.1.0.0-64 --with-shared=0"
#endif

#ifndef PETSC_PATH_SEPARATOR
#define PETSC_PATH_SEPARATOR ':'
#endif

#ifndef PETSC_HAVE_MPI
#define PETSC_HAVE_MPI 1
#endif

#ifndef PETSC_DIR_SEPARATOR
#define PETSC_DIR_SEPARATOR '/'
#endif

#ifndef PETSC_HAVE_BLASLAPACK
#define PETSC_HAVE_BLASLAPACK 1
#endif

#ifndef PETSC_STATIC_INLINE
#define PETSC_STATIC_INLINE static __inline
#endif

#ifndef PETSC_CONFIGURE_RUN_TIME
#define PETSC_CONFIGURE_RUN_TIME "Fri Jul  8 10:54:42 2005"
#endif

#ifndef PETSC_USE_SOCKET_VIEWER
#define PETSC_USE_SOCKET_VIEWER 1
#endif

#ifndef PETSC_REPLACE_DIR_SEPARATOR
#define PETSC_REPLACE_DIR_SEPARATOR '\\'
#endif

#ifndef PETSC_ARCH_NAME
#define PETSC_ARCH_NAME "aix5.1.0.0-64"
#endif

#ifndef PETSC_ARCH
#define PETSC_ARCH aix5
#endif

#ifndef PETSC_DIR
#define PETSC_DIR /usr/common/homes/k/kaushik/tmp/petsc-2.3.0
#endif

#ifndef PETSC_USE_EXTERN_CXX
#define PETSC_USE_EXTERN_CXX  
#endif

#ifndef PETSC_USE_ERRORCHECKING
#define PETSC_USE_ERRORCHECKING 1
#endif

#ifndef PETSC_RESTRICT
#define PETSC_RESTRICT  
#endif

#ifndef PETSC_HAVE_FORTRAN_NOUNDERSCORE
#define PETSC_HAVE_FORTRAN_NOUNDERSCORE 1
#endif

#ifndef PETSC_HAVE_F90_C
#define PETSC_HAVE_F90_C "/scratch/scratchdirs/kaushik/petsc-2.3.0/src/sys/src/f90/f90_rs6000.c"
#endif

#ifndef PETSC_C_STATIC_INLINE
#define PETSC_C_STATIC_INLINE static __inline
#endif

#ifndef PETSC_HAVE_F90_H
#define PETSC_HAVE_F90_H "/scratch/scratchdirs/kaushik/petsc-2.3.0/include/f90impl/f90_rs6000.h"
#endif

#ifndef PETSC_WORDS_BIGENDIAN
#define PETSC_WORDS_BIGENDIAN 1
#endif

#ifndef PETSC_BITS_PER_BYTE
#define PETSC_BITS_PER_BYTE 8
#endif

#ifndef PETSC_SIZEOF_MPI_FINT
#define PETSC_SIZEOF_MPI_FINT 4
#endif

#ifndef PETSC_SIZEOF_VOID_P
#define PETSC_SIZEOF_VOID_P 8
#endif

#ifndef PETSC_RETSIGTYPE
#define PETSC_RETSIGTYPE void
#endif

#ifndef PETSC_SIZEOF_LONG
#define PETSC_SIZEOF_LONG 8
#endif

#ifndef PETSC_SIZEOF_DOUBLE
#define PETSC_SIZEOF_DOUBLE 8
#endif

#ifndef PETSC_SIZEOF_SHORT
#define PETSC_SIZEOF_SHORT 2
#endif

#ifndef PETSC_SIZEOF_FLOAT
#define PETSC_SIZEOF_FLOAT 4
#endif

#ifndef PETSC_SIZEOF_INT
#define PETSC_SIZEOF_INT 4
#endif

#ifndef PETSC_SIZEOF_LONG_LONG
#define PETSC_SIZEOF_LONG_LONG 8
#endif

#ifndef PETSC_SIZEOF_MPI_COMM
#define PETSC_SIZEOF_MPI_COMM 8
#endif

#ifndef PETSC_HAVE_SYS_WAIT_H
#define PETSC_HAVE_SYS_WAIT_H 1
#endif

#ifndef PETSC_HAVE_LIMITS_H
#define PETSC_HAVE_LIMITS_H 1
#endif

#ifndef PETSC_HAVE_STRING_H
#define PETSC_HAVE_STRING_H 1
#endif

#ifndef PETSC_HAVE_SEARCH_H
#define PETSC_HAVE_SEARCH_H 1
#endif

#ifndef PETSC_HAVE_NETINET_IN_H
#define PETSC_HAVE_NETINET_IN_H 1
#endif

#ifndef PETSC_HAVE_FPTRAP_H
#define PETSC_HAVE_FPTRAP_H 1
#endif

#ifndef PETSC_HAVE_SYS_TYPES_H
#define PETSC_HAVE_SYS_TYPES_H 1
#endif

#ifndef PETSC_HAVE_FLOAT_H
#define PETSC_HAVE_FLOAT_H 1
#endif

#ifndef PETSC_HAVE_SYS_PROCFS_H
#define PETSC_HAVE_SYS_PROCFS_H 1
#endif

#ifndef PETSC_HAVE_DLFCN_H
#define PETSC_HAVE_DLFCN_H 1
#endif

#ifndef PETSC_HAVE_FPXCP_H
#define PETSC_HAVE_FPXCP_H 1
#endif

#ifndef PETSC_HAVE_STROPTS_H
#define PETSC_HAVE_STROPTS_H 1
#endif

#ifndef PETSC_HAVE_SYS_RESOURCE_H
#define PETSC_HAVE_SYS_RESOURCE_H 1
#endif

#ifndef PETSC_HAVE_SYS_TIMES_H
#define PETSC_HAVE_SYS_TIMES_H 1
#endif

#ifndef PETSC_HAVE_NETDB_H
#define PETSC_HAVE_NETDB_H 1
#endif

#ifndef PETSC_HAVE_MALLOC_H
#define PETSC_HAVE_MALLOC_H 1
#endif

#ifndef PETSC_HAVE_TIME_H
#define PETSC_HAVE_TIME_H 1
#endif

#ifndef PETSC_HAVE_PWD_H
#define PETSC_HAVE_PWD_H 1
#endif

#ifndef PETSC_HAVE_FCNTL_H
#define PETSC_HAVE_FCNTL_H 1
#endif

#ifndef PETSC_HAVE_UNISTD_H
#define PETSC_HAVE_UNISTD_H 1
#endif

#ifndef PETSC_HAVE_STRINGS_H
#define PETSC_HAVE_STRINGS_H 1
#endif

#ifndef PETSC_HAVE_STDLIB_H
#define PETSC_HAVE_STDLIB_H 1
#endif

#ifndef PETSC_HAVE_SYS_PARAM_H
#define PETSC_HAVE_SYS_PARAM_H 1
#endif

#ifndef PETSC_HAVE_SYS_SOCKET_H
#define PETSC_HAVE_SYS_SOCKET_H 1
#endif

#ifndef PETSC_TIME_WITH_SYS_TIME
#define PETSC_TIME_WITH_SYS_TIME 1
#endif

#ifndef PETSC_HAVE_SYS_TIME_H
#define PETSC_HAVE_SYS_TIME_H 1
#endif

#ifndef PETSC_HAVE_SYS_UTSNAME_H
#define PETSC_HAVE_SYS_UTSNAME_H 1
#endif

#ifndef PETSC_HAVE_ACCESS
#define PETSC_HAVE_ACCESS 1
#endif

#ifndef PETSC_HAVE_FP_ENABLE
#define PETSC_HAVE_FP_ENABLE 1
#endif

#ifndef PETSC_HAVE_SIGNAL
#define PETSC_HAVE_SIGNAL 1
#endif

#ifndef PETSC_HAVE_POPEN
#define PETSC_HAVE_POPEN 1
#endif

#ifndef PETSC_HAVE_GETRUSAGE
#define PETSC_HAVE_GETRUSAGE 1
#endif

#ifndef PETSC_HAVE_SIGSET
#define PETSC_HAVE_SIGSET 1
#endif

#ifndef PETSC_HAVE_GETWD
#define PETSC_HAVE_GETWD 1
#endif

#ifndef PETSC_HAVE_TIMES
#define PETSC_HAVE_TIMES 1
#endif

#ifndef PETSC_HAVE_GETDOMAINNAME
#define PETSC_HAVE_GETDOMAINNAME 1
#endif

#ifndef PETSC_HAVE_SNPRINTF
#define PETSC_HAVE_SNPRINTF 1
#endif

#ifndef PETSC_HAVE_TIME
#define PETSC_HAVE_TIME 1
#endif

#ifndef PETSC_HAVE_LSEEK
#define PETSC_HAVE_LSEEK 1
#endif

#ifndef PETSC_HAVE_GETPWUID
#define PETSC_HAVE_GETPWUID 1
#endif

#ifndef PETSC_HAVE_SOCKET
#define PETSC_HAVE_SOCKET 1
#endif

#ifndef PETSC_HAVE_GETHOSTBYNAME
#define PETSC_HAVE_GETHOSTBYNAME 1
#endif

#ifndef PETSC_HAVE_SIGACTION
#define PETSC_HAVE_SIGACTION 1
#endif

#ifndef PETSC_HAVE_READLINK
#define PETSC_HAVE_READLINK 1
#endif

#ifndef PETSC_HAVE_REALPATH
#define PETSC_HAVE_REALPATH 1
#endif

#ifndef PETSC_HAVE_GETCWD
#define PETSC_HAVE_GETCWD 1
#endif

#ifndef PETSC_HAVE_DLERROR
#define PETSC_HAVE_DLERROR 1
#endif

#ifndef PETSC_HAVE_FP_SH_TRAP_INFO
#define PETSC_HAVE_FP_SH_TRAP_INFO 1
#endif

#ifndef PETSC_HAVE_MEMMOVE
#define PETSC_HAVE_MEMMOVE 1
#endif

#ifndef PETSC_HAVE_FORK
#define PETSC_HAVE_FORK 1
#endif

#ifndef PETSC_HAVE_RAND
#define PETSC_HAVE_RAND 1
#endif

#ifndef PETSC_HAVE_GETTIMEOFDAY
#define PETSC_HAVE_GETTIMEOFDAY 1
#endif

#ifndef PETSC_HAVE_FP_DISABLE
#define PETSC_HAVE_FP_DISABLE 1
#endif

#ifndef PETSC_HAVE_SLEEP
#define PETSC_HAVE_SLEEP 1
#endif

#ifndef PETSC_HAVE_UNAME
#define PETSC_HAVE_UNAME 1
#endif

#ifndef PETSC_HAVE_FP_TRAP
#define PETSC_HAVE_FP_TRAP 1
#endif

#ifndef PETSC_HAVE_VPRINTF
#define PETSC_HAVE_VPRINTF 1
#endif

#ifndef PETSC_HAVE_BZERO
#define PETSC_HAVE_BZERO 1
#endif

#ifndef PETSC_HAVE_MKSTEMP
#define PETSC_HAVE_MKSTEMP 1
#endif

#ifndef PETSC_HAVE_GETHOSTNAME
#define PETSC_HAVE_GETHOSTNAME 1
#endif

#ifndef PETSC_HAVE_DRAND48
#define PETSC_HAVE_DRAND48 1
#endif

#ifndef PETSC_HAVE_GETPAGESIZE
#define PETSC_HAVE_GETPAGESIZE 1
#endif

#ifndef PETSC_HAVE_CLOCK
#define PETSC_HAVE_CLOCK 1
#endif

#ifndef PETSC_HAVE_LIBNSL
#define PETSC_HAVE_LIBNSL 1
#endif

#ifndef PETSC_HAVE_LIBESSL
#define PETSC_HAVE_LIBESSL 1
#endif

#ifndef PETSC_HAVE_LIBDL
#define PETSC_HAVE_LIBDL 1
#endif

#ifndef PETSC_HAVE_LIBRT
#define PETSC_HAVE_LIBRT 1
#endif

#ifndef PETSC_HAVE_LIBM
#define PETSC_HAVE_LIBM 1
#endif

#ifndef PETSC_HAVE_RS6000_STYLE_FPTRAP
#define PETSC_HAVE_RS6000_STYLE_FPTRAP 1
#endif

#ifndef PETSC_HAVE_GZIP
#define PETSC_HAVE_GZIP 1
#endif

#ifndef PETSC_HAVE_MPI_COMM_C2F
#define PETSC_HAVE_MPI_COMM_C2F 1
#endif

#ifndef PETSC_HAVE_MPI_COMM_F2C
#define PETSC_HAVE_MPI_COMM_F2C 1
#endif

#ifndef PETSC_HAVE_MPI_FINT
#define PETSC_HAVE_MPI_FINT 1
#endif

#ifndef PETSC_USE_DEBUG
#define PETSC_USE_DEBUG 1
#endif

#ifndef PETSC_USE_32BIT_INT
#define PETSC_USE_32BIT_INT 1
#endif

#ifndef PETSC_USE_LOG
#define PETSC_USE_LOG 1
#endif

#ifndef PETSC_USE_CTABLE
#define PETSC_USE_CTABLE 1
#endif

#ifndef PETSC_HAVE_ESSL
#define PETSC_HAVE_ESSL 1
#endif

#ifndef PETSC_MISSING_LAPACK_GESVD
#define PETSC_MISSING_LAPACK_GESVD 1
#endif

#endif
